
function IftttConditionTriggerUpdatePage()
{
	var SaveGlobalVariable = function(Row){IftttConditionTriggerUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return IftttConditionTriggerUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){IftttConditionTriggerUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){IftttConditionTriggerUpdatePage.prototype._Initialization_();};
}










function IftttConditionTriggerFirstPage()
{
  //顯示
  var ShowStatus = function(Column, Enable){IftttConditionTriggerFirstPage.prototype._ShowStatus_(Column, Enable);};
  var ShowTable = function(number, DisplayNumber){IftttConditionTriggerFirstPage.prototype._ShowTable_(number, DisplayNumber);};
  this.ShowPreviousPage = function(){IftttConditionTriggerFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){IftttConditionTriggerFirstPage.prototype._ShowNextPage_();};
  var UpdateTableToolbar = function(number, DisplayNumber){IftttConditionTriggerFirstPage.prototype._UpdateTableToolbar_(number, DisplayNumber);};
  this.RedisplayUi       = function(){IftttConditionTriggerFirstPage.prototype._RedisplayUi_();};
  //移除
  var RemoveGlobalVariable = function(number){IftttConditionTriggerFirstPage.prototype._RemoveGlobalVariable_(number);};
  var RemoveTickedEvent = function(){IftttConditionTriggerFirstPage.prototype._RemoveTickedEvent_();};
  this.DeleteEvent = function(){IftttConditionTriggerFirstPage.prototype._DeleteEvent_();};
  //判斷
  var IsRowDataCorrect = function(){IftttConditionTriggerFirstPage.prototype._IsRowDataCorrect_();};
  this.IsTickedEvent = function(){return IftttConditionTriggerFirstPage.prototype._IsTickedEvent_();};
  //初始化
  this.Initialization = function(){IftttConditionTriggerFirstPage.prototype._Initialization_();};
  //傳輸
  var SaveStart = function(that, ssocket){IftttConditionTriggerFirstPage.prototype._SaveStart_(that, ssocket);};
  var SaveFinished = function(that, ssocket){IftttConditionTriggerFirstPage.prototype._SaveFinished_(that, ssocket);};
  //按鈕
  this.AddNewObject  = function(){IftttConditionTriggerFirstPage.prototype._AddNewObject_();};
  this.EditButton = function(that){IftttConditionTriggerFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){IftttConditionTriggerFirstPage.prototype._SaveButton_(that);};
}










function IftttConditionTriggerSecondPage()
{
  //設定
  var SetContentFormValue = function(number){IftttConditionTriggerSecondPage.prototype._SetContentFormValue_(number);};
  var SetConditionTableValue = function(){IftttConditionTriggerSecondPage.prototype._SetConditionTableValue_();};
  var SetConditionRowValue = function(object){IftttConditionTriggerSecondPage.prototype._SetConditionTableValue_(object);};
  var SetModuleColumnValue = function(ModuleType, ModuleIndex, Column1){IftttConditionTriggerSecondPage.prototype._SetModuleColumnValue_(ModuleType, ModuleIndex, Column1);};
  var SetVariableColumnValue = function(ModuleType, ModuleIndex, VariableIndex, Column2){IftttConditionTriggerSecondPage.prototype._SetVariableColumnValue_(ModuleType, ModuleIndex, VariableIndex, Column2);};
  var SetConditionColumnValue = function(VariableIndex, Condition, Column3){IftttConditionTriggerSecondPage.prototype._SetConditionColumnValue_(VariableIndex, Condition, Column3);};
  var SetDefineMessageColumnValue = function(DefineMessage, Column4){IftttConditionTriggerSecondPage.prototype._SetDefineMessageColumnValue_(DefineMessage, Column4);};
  //初始
  this.Initialization = function(number){IftttConditionTriggerSecondPage.prototype._Initialization_(number);};
  //載入
  var LoadModuleType = function(){IftttConditionTriggerSecondPage.prototype._LoadModuleType_();};
  var LoadModuleName = function(){IftttConditionTriggerSecondPage.prototype._LoadModuleName_();};
  var LoadModuleVariable = function(){IftttConditionTriggerSecondPage.prototype._LoadModuleVariable_();};

  var FilterVariableArray = function(ReadWrite, VariableArray){IftttConditionTriggerSecondPage.prototype._FilterVariableArray_(ReadWrite, VariableArray);};
  //顯示
  var ShowAllFormulaColumn = function(){IftttConditionTriggerSecondPage.prototype._ShowAllFormulaColumn_();};
  var ShowDigitalFormulaColumn = function(){IftttConditionTriggerSecondPage.prototype._ShowDigitalFormulaColumn_();};
  var ShowAnalogFormulaColumn = function(){IftttConditionTriggerSecondPage.prototype._ShowAnalogFormulaColumn_();};
  var ShowFormErrorMessage = function(){IftttConditionTriggerSecondPage.prototype._ShowFormErrorMessage_();};
  var ShowTableErrorMessage = function(){IftttConditionTriggerSecondPage.prototype._ShowTableErrorMessage_();};

  var SwitchFormula = function(){IftttConditionTriggerSecondPage.prototype._SwitchFormula_();};
  var ShortenDataTypeName = function(DataType){IftttConditionTriggerSecondPage.prototype._ShortenDataTypeName_(DataType);};
  //改變
  this.ChangeModuleType = function(){IftttConditionTriggerSecondPage.prototype._ChangeModuleType_();};
  this.ChangeModuleName = function(){IftttConditionTriggerSecondPage.prototype._ChangeModuleName_();};
  this.ChangeVariableAttribute = function(){IftttConditionTriggerSecondPage.prototype._ChangeVariableAttribute_();};
  this.ChangeVariableName = function(){IftttConditionTriggerSecondPage.prototype._ChangeVariableName_();};
  //判斷
  var IsRowDataCorrect = function(){IftttConditionTriggerSecondPage.prototype._IsRowDataCorrect_();};
  
  var IsContentSettingDataCorrect = function(){IftttConditionTriggerSecondPage.prototype._IsContentSettingDataCorrect_();};
  var IsConditionTableDataCorrect = function(){IftttConditionTriggerSecondPage.prototype._IsConditionTableDataCorrect_();};
  
  var IsTotalDataCorrect = function(){IftttConditionTriggerSecondPage.prototype._IsTotalDataCorrect_();};
  //檢查
  this.CheckDefineMessage = function(that){IftttConditionTriggerSecondPage.prototype._CheckDefineMessage_(that);};
  this.CheckEventName     = function(that){IftttConditionTriggerSecondPage.prototype._CheckEventName_(that);};
  this.CheckKey           = function(that){IftttConditionTriggerSecondPage.prototype._CheckKey_(that);};
  this.CheckDeadband      = function(that){IftttConditionTriggerSecondPage.prototype._CheckDeadband_(that);};
  //新增, 創建
  var BuildNewIftttConditionTriggerSettingObject = function(){IftttConditionTriggerSecondPage.prototype._BuildNewIftttConditionTriggerSettingObject_();};
  var BuildNewIftttConditionTriggerVariableObject = function(){IftttConditionTriggerSecondPage.prototype._BuildNewIftttConditionTriggerVariableObject_();};
  this.AddNewRow = function(that){IftttConditionTriggerSecondPage.prototype._AddNewRow_(that);};
  var AddConditionRowHtml = function(){IftttConditionTriggerSecondPage.prototype._AddConditionRowHtml_();};
  //刪除
  this.RemoveRow = function(that){IftttConditionTriggerSecondPage.prototype._RemoveRow_(that);};
  //取得
  var GetCondition = function(Signal){IftttConditionTriggerSecondPage.prototype._GetCondition_(Signal);};
  var GetConditionSettingModuleTypeText = function(ModuleType){IftttConditionTriggerSecondPage.prototype._GetConditionSettingModuleTypeText_(ModuleType);};
  var GetConditionSettingVariableAttributeText = function(ReadWrite){IftttConditionTriggerSecondPage.prototype._GetConditionSettingVariableAttributeText_(ReadWrite);};
  var GetConditionSettingDigitalStatusText = function(Status){IftttConditionTriggerSecondPage.prototype._GetConditionSettingDigitalStatusText_(Status);};
  //修改
  var ModifyIftttConditionTriggerSettingObject = function(){IftttConditionTriggerSecondPage.prototype._ModifyIftttConditionTriggerSettingObject_();};
  var ModifyIftttConditionTriggerVariableObject = function(){IftttConditionTriggerSecondPage.prototype._ModifyIftttConditionTriggerVariableObject_();};

  this.ConfirmButton = function(that){IftttConditionTriggerSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){IftttConditionTriggerSecondPage.prototype._NoConfirmButton_();};
}